From 94e205403dcc00c6f8c05eb471ace991e61ef0ee Mon Sep 17 00:00:00 2001
From: David Tolnay <dtolnay@gmail.com>
Date: Mar 18 2021 20:33:57 +0000
Subject: [PATCH 2129/2232] Delete CxxString heterogeneous PartialOrd impls


---

diff --git a/src/cxx_string.rs b/src/cxx_string.rs
index a730768..e4dfdf1 100644
--- a/src/cxx_string.rs
+++ b/src/cxx_string.rs
@@ -193,18 +193,6 @@ impl PartialOrd for CxxString {
     }
 }
 
-impl PartialOrd<str> for CxxString {
-    fn partial_cmp(&self, other: &str) -> Option<Ordering> {
-        self.as_bytes().partial_cmp(other.as_bytes())
-    }
-}
-
-impl PartialOrd<CxxString> for str {
-    fn partial_cmp(&self, other: &CxxString) -> Option<Ordering> {
-        self.as_bytes().partial_cmp(other.as_bytes())
-    }
-}
-
 impl Ord for CxxString {
     fn cmp(&self, other: &Self) -> Ordering {
         self.as_bytes().cmp(other.as_bytes())

